Profile

Get Customer Profile

get
/customer/get-profile

This endpoint retrieves the customer's profile information.

Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
chevron-right
200

Successfully retrieved customer profile

statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully Get the Profile.
get
/customer/get-profile

Get Account Profile Settings

post
/my-profile
Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
chevron-right
200

Successfully got settings

statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully got settings
post
/my-profile

Get Customer Address

get
/customer-address
Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
chevron-right
200

Successful response

statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully Get the customer Address
get
/customer-address

Add New Customer Address

post
/customer-address
Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Body
addressTypeintegerRequired
address1stringRequired
address2stringOptional
citystringRequired
landmarkstringOptional
phoneNumberstringRequired
postcodestringRequired
countryIdintegerRequired
zoneIdintegerRequired
isDefaultintegerOptional
firstNamestringRequired
lastNamestringRequired
Responses
chevron-right
200

Address added successfully

statusintegerOptionalExample: 1
messagestringOptionalExample: Address added
post
/customer-address

Edit Customer Profile

post
/customer/edit-profile
Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Body
firstNamestringRequired
lastNamestringRequired
emailIdstringRequired
phoneNumberstringRequired
addressstringRequired
address2stringOptional
landmarkstringOptional
citystringRequired
pincodestringRequired
stateIdintegerRequired
countryIdintegerRequired
Responses
chevron-right
200

Profile updated successfully

statusintegerOptionalExample: 1
messagestringOptionalExample: The Customer details have been updated successfully
post
/customer/edit-profile

Update Default Customer Address

put
/customer-address/update-default/{id}
Path parameters
idintegerRequired
Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Body
addressTypeintegerRequired
Responses
chevron-right
200

Default address updated successfully

statusintegerOptionalExample: 1
messagestringOptionalExample: Default Address updated Successfully
put
/customer-address/update-default/{id}

Get Customer Address Detail

get
/customer-address/{id}
Path parameters
idintegerRequired
Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Responses
chevron-right
200

Successfully retrieved address detail

statusintegerOptionalExample: 1
messagestringOptionalExample: Successfully get the address detail.
get
/customer-address/{id}

Update Customer Address

put
/customer-address/{id}
Path parameters
idintegerRequired
Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Body
addressTypeintegerRequired
address1stringRequired
address2stringOptional
citystringRequired
landmarkstringOptional
phoneNumberstringRequired
postcodestringRequired
countryIdintegerRequired
zoneIdintegerRequired
statestringOptional
isDefaultintegerOptional
firstNamestringRequired
lastNamestringRequired
Responses
chevron-right
200

Customer address updated successfully

statusintegerOptionalExample: 1
messagestringOptionalExample: The Customer Detail have been updated Successfully
put
/customer-address/{id}

Change Customer Password

post
/customer/change-password
Header parameters
AuthorizationstringOptional

Optional Bearer token for authentication.

industrystringOptional

The industry of the user.

Default: electronics
keystringOptional

The unique key for the request.

Default: 8097571064818418
languagekeystringOptional

The language key for the request.

Default: 57
Body
oldPasswordstringRequired
newPasswordstringRequired
Responses
chevron-right
200

Password changed successfully

statusintegerOptionalExample: 1
messagestringOptionalExample: Your password has been change successfully
post
/customer/change-password

Last updated